xml.h File Reference

XML tree functions. More...

`#include <gutenprint/mxml.h>`

## Typedefs

typedef int(* | stp_xml_parse_func) (stp_mxml_node_t *node, const char *file)

## Functions

void | stp_register_xml_parser (const char *name, stp_xml_parse_func parse_func)
void | stp_unregister_xml_parser (const char *name)
void | stp_register_xml_preload (const char *filename)
void | stp_unregister_xml_preload (const char *filename)
int | stp_xml_init_defaults (void)
int | stp_xml_parse_file (const char *file)
long | stp_xmlstrtol (const char *value)
unsigned long | stp_xmlstrtoul (const char *value)
double | stp_xmlstrtod (const char *textval)
stp_dimension_t | stp_xmlstrtodim (const char *textval)
stp_raw_t * | stp_xmlstrtoraw (const char *textval)
char * | stp_rawtoxmlstr (const stp_raw_t *raw)
char * | stp_strtoxmlstr (const char *raw)
void | stp_prtraw (const stp_raw_t *raw, FILE *fp)
void | stp_xml_init (void)
void | stp_xml_exit (void)
stp_mxml_node_t * | stp_xml_get_node (stp_mxml_node_t *xmlroot,...)
stp_mxml_node_t * | stp_xmldoc_create_generic (void)
void | stp_xml_preinit (void)
stp_sequence_t * | stp_sequence_create_from_xmltree (stp_mxml_node_t *da)
stp_mxml_node_t * | stp_xmltree_create_from_sequence (const stp_sequence_t *seq)
stp_curve_t * | stp_curve_create_from_xmltree (stp_mxml_node_t *da)
stp_mxml_node_t * | stp_xmltree_create_from_curve (const stp_curve_t *curve)
stp_array_t * | stp_array_create_from_xmltree (stp_mxml_node_t *array)
stp_vars_t * | stp_vars_create_from_xmltree (stp_mxml_node_t *da)
stp_mxml_node_t * | stp_xmltree_create_from_array (const stp_array_t *array)
stp_vars_t * | stp_vars_create_from_xmltree_ref (stp_mxml_node_t *da, stp_mxml_node_t *root)
void | stp_vars_fill_from_xmltree (stp_mxml_node_t *da, stp_vars_t *v)
void | stp_vars_fill_from_xmltree_ref (stp_mxml_node_t *da, stp_mxml_node_t *root, stp_vars_t *v)
stp_mxml_node_t * | stp_xmltree_create_from_vars (const stp_vars_t *v)
void | stp_xml_parse_file_named (const char *name)
stp_mxml_node_t * | stp_xml_parse_file_from_path (const char *name, const char *topnodename, const char *path)
stp_mxml_node_t * | stp_xml_parse_file_from_path_uncached (const char *name, const char *topnodename, const char *path)
stp_mxml_node_t * | stp_xml_parse_file_from_path_safe (const char *name, const char *topnodename, const char *path)
stp_mxml_node_t * | stp_xml_parse_file_from_path_uncached_safe (const char *name, const char *topnodename, const char *path)
void | stp_xml_free_parsed_file (stp_mxml_node_t *node)
void | stpi_print_xml_node (stp_mxml_node_t *node)

## Detailed Description

XML tree functions.

## Typedef Documentation

## stp_xml_parse_func

typedef int(* stp_xml_parse_func) (stp_mxml_node_t *node, const char *file)

## Function Documentation

## stp_array_create_from_xmltree()

stp_array_t * stp_array_create_from_xmltree | ( | stp_mxml_node_t * | array | ) |

extern

## stp_curve_create_from_xmltree()

stp_curve_t * stp_curve_create_from_xmltree | ( | stp_mxml_node_t * | da | ) |

extern

## stp_prtraw()

void stp_prtraw | ( | const stp_raw_t * | raw,
|  | FILE * | fp )

extern

## stp_rawtoxmlstr()

char * stp_rawtoxmlstr | ( | const stp_raw_t * | raw | ) |

extern

## stp_register_xml_parser()

void stp_register_xml_parser | ( | const char * | name,
|  | stp_xml_parse_func | parse_func )

extern

## stp_register_xml_preload()

void stp_register_xml_preload | ( | const char * | filename | ) |

extern

## stp_sequence_create_from_xmltree()

stp_sequence_t * stp_sequence_create_from_xmltree | ( | stp_mxml_node_t * | da | ) |

extern

## stp_strtoxmlstr()

char * stp_strtoxmlstr | ( | const char * | raw | ) |

extern

## stp_unregister_xml_parser()

void stp_unregister_xml_parser | ( | const char * | name | ) |

extern

## stp_unregister_xml_preload()

void stp_unregister_xml_preload | ( | const char * | filename | ) |

extern

## stp_vars_create_from_xmltree()

stp_vars_t * stp_vars_create_from_xmltree | ( | stp_mxml_node_t * | da | ) |

extern

## stp_vars_create_from_xmltree_ref()

stp_vars_t * stp_vars_create_from_xmltree_ref | ( | stp_mxml_node_t * | da,
|  | stp_mxml_node_t * | root )

extern

## stp_vars_fill_from_xmltree()

void stp_vars_fill_from_xmltree | ( | stp_mxml_node_t * | da,
|  | stp_vars_t * | v )

extern

## stp_vars_fill_from_xmltree_ref()

void stp_vars_fill_from_xmltree_ref | ( | stp_mxml_node_t * | da,
|  | stp_mxml_node_t * | root,
|  | stp_vars_t * | v )

extern

## stp_xml_exit()

void stp_xml_exit | ( | void |  | ) |

extern

## stp_xml_free_parsed_file()

void stp_xml_free_parsed_file | ( | stp_mxml_node_t * | node | ) |

extern

## stp_xml_get_node()

stp_mxml_node_t * stp_xml_get_node | ( | stp_mxml_node_t * | xmlroot,
|  |  | ... )

extern

## stp_xml_init()

void stp_xml_init | ( | void |  | ) |

extern

## stp_xml_init_defaults()

int stp_xml_init_defaults | ( | void |  | ) |

extern

## stp_xml_parse_file()

int stp_xml_parse_file | ( | const char * | file | ) |

extern

## stp_xml_parse_file_from_path()

stp_mxml_node_t * stp_xml_parse_file_from_path | ( | const char * | name,
|  | const char * | topnodename,
|  | const char * | path )

extern

## stp_xml_parse_file_from_path_safe()

stp_mxml_node_t * stp_xml_parse_file_from_path_safe | ( | const char * | name,
|  | const char * | topnodename,
|  | const char * | path )

extern

## stp_xml_parse_file_from_path_uncached()

stp_mxml_node_t * stp_xml_parse_file_from_path_uncached | ( | const char * | name,
|  | const char * | topnodename,
|  | const char * | path )

extern

## stp_xml_parse_file_from_path_uncached_safe()

stp_mxml_node_t * stp_xml_parse_file_from_path_uncached_safe | ( | const char * | name,
|  | const char * | topnodename,
|  | const char * | path )

extern

## stp_xml_parse_file_named()

void stp_xml_parse_file_named | ( | const char * | name | ) |

extern

## stp_xml_preinit()

void stp_xml_preinit | ( | void |  | ) |

extern

## stp_xmldoc_create_generic()

stp_mxml_node_t * stp_xmldoc_create_generic | ( | void |  | ) |

extern

## stp_xmlstrtod()

double stp_xmlstrtod | ( | const char * | textval | ) |

extern

## stp_xmlstrtodim()

stp_dimension_t stp_xmlstrtodim | ( | const char * | textval | ) |

extern

## stp_xmlstrtol()

long stp_xmlstrtol | ( | const char * | value | ) |

extern

## stp_xmlstrtoraw()

stp_raw_t * stp_xmlstrtoraw | ( | const char * | textval | ) |

extern

## stp_xmlstrtoul()

unsigned long stp_xmlstrtoul | ( | const char * | value | ) |

extern

## stp_xmltree_create_from_array()

stp_mxml_node_t * stp_xmltree_create_from_array | ( | const stp_array_t * | array | ) |

extern

## stp_xmltree_create_from_curve()

stp_mxml_node_t * stp_xmltree_create_from_curve | ( | const stp_curve_t * | curve | ) |

extern

## stp_xmltree_create_from_sequence()

stp_mxml_node_t * stp_xmltree_create_from_sequence | ( | const stp_sequence_t * | seq | ) |

extern

## stp_xmltree_create_from_vars()

stp_mxml_node_t * stp_xmltree_create_from_vars | ( | const stp_vars_t * | v | ) |

extern

## stpi_print_xml_node()

void stpi_print_xml_node | ( | stp_mxml_node_t * | node | ) |

extern